Bug 236130

Summary: security/keepass failed to build
Product: Ports & Packages Reporter: Matthias Fechner <mfechner>
Component: Individual Port(s)Assignee: Michael Muenz <m.muenz>
Status: Closed FIXED    
Severity: Affects Some People CC: m.muenz, w.schwarzenfeld
Priority: --- Flags: woodsb02: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   

Description Matthias Fechner freebsd_committer 2019-03-01 13:59:05 UTC
Try to build it fails with the error message:
Time Elapsed 00:00:13.0778780
===========================================================================
=>> Checking for filesystem violations... done
=>> Error: Filesystem touched during build:
extra: usr/local/etc/mono/registry
=>> Cleaning up wrkdir
===>  Cleaning for keepass-2.41

You can find the full build log here:
https://pkg.fechner.net/data/120amd64-default/2019-03-01_14h47m18s/logs/errors/keepass-2.41.log
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-13 11:32:53 UTC
If the problem still exist, please Maintainer feedback!
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-13 15:24:13 UTC
Tried version keepass 2.42.1 without problems (poudriere).
Comment 3 Matthias Fechner freebsd_committer 2019-08-13 16:18:05 UTC
Build the port with testport and not with bulk, then you will see the error message.

I just did it with:
poudriere testport -j 120amd64 security/keepass

https://pkg.fechner.net/data/120amd64-default/2019-08-13_18h16m32s/logs/errors/keepass-2.42.1.log
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-08-13 16:37:59 UTC
Confirmed!
Comment 5 Ben Woods freebsd_committer 2019-10-26 07:51:36 UTC
I have not seen this on my build machine.

I am trying the build on poudriere now with a FreeBSD 12.0 jail.
Comment 6 Michael Muenz 2020-05-13 12:02:17 UTC
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=246438

This patch will allow testport, running just bulk always works
Comment 7 Michael Muenz 2020-09-21 14:48:24 UTC
This issue can be closed as it's already fixed with 2.45
Comment 8 Ben Woods freebsd_committer 2020-09-21 22:56:21 UTC
Hi Michael, thanks for fixing the bug, and for reminding me to close the bug report :)